### File

`src/rpiWebClient.interfaces.ts`

### Description

Interface for defining RpiWebClient configuration parameters.

### Index

###### Properties
Optional clientId Optional contexts Optional debug Optional enableClickTracking Optional enableCrossDomainTracking Optional enableDoNotTrack Optional enablePageVisitTracking Optional enableUrlParameterCaching Optional geolocationCookieDuration Optional isPreview Optional realtimeContextSearchMode Optional realtimeCookieDomain Optional realtimeCookieSameSite Optional realtimeListParameters Optional requestGeolocation Optional serverCookieEnabled Optional serverUrl Optional smartAssetDecisions Optional trackingDomains Optional urlParameterCachingOverrides Optional visitorCookieDuration Optional visitorProfileMergeMode

### Properties

clientId
`clientId: `string``
Type : `string`
Optional
The RPI client id that will be accessed by RpiWebClient.

contexts
`contexts: `Array<string>``
Type : `Array<string>`
Optional
The decision contexts to render upon RpiWebClient initialization.

debug
`debug: `boolean``
Type : `boolean`
Optional
Flag to specify if debug information should be logged to the console. Defaults to false.

enableClickTracking
`enableClickTracking: `boolean``
Type : `boolean`
Optional
Flag to specify if link click events should be tracked by RPI Web Events. Defaults to false.

enableCrossDomainTracking
`enableCrossDomainTracking: ```
Optional
Flag to specify if cross-domain tracking is enabled. Defaults to false.

enableDoNotTrack
`enableDoNotTrack: `boolean``
Type : `boolean`
Optional
Flag to specify if RpiWebClient should check the browser doNotTrack setting. Defaults to false.

enablePageVisitTracking
`enablePageVisitTracking: `boolean``
Type : `boolean`
Optional
Flag to specify if page visit events should be tracked by RPI Web Events. Defaults to false.

enableUrlParameterCaching
`enableUrlParameterCaching: `boolean``
Type : `boolean`
Optional
Flag to specify if all URL parameters should be sent to the RPI Realtime visitor cache. Defaults to false.

geolocationCookieDuration
`geolocationCookieDuration: `number``
Type : `number`
Optional
The duration, in days, that the visitor geolocation cookie will be set for. Geolocation will not be requested during this location, even if requestGeolocation is true.

isPreview
`isPreview: `boolean``
Type : `boolean`
Optional
Flag to specify if RpiWebClient should request Smart Asset in preview mode. Defaults to false. Experimental

realtimeContextSearchMode
`realtimeContextSearchMode: `number``
Type : `number`
Optional
The search mode to use for searching realtime contexts (IncludeSubcontexts = 0, ExactPath = 1, IncludeParentContexts = 2, FirstParent = 3). Defaults to 0.

realtimeCookieDomain
`realtimeCookieDomain: `string``
Type : `string`
Optional
The domain that the RPI Realtime cookies will be set to.

realtimeCookieSameSite
`realtimeCookieSameSite: `string``
Type : `string`
Optional
The SameSite setting that the RPI Realtime cookies will be set with. Defaults to Lax.

realtimeListParameters
`realtimeListParameters: `Array<string>``
Type : `Array<string>`
Optional
List of realtime parameters that should be handled as list values.

requestGeolocation
`requestGeolocation: `boolean``
Type : `boolean`
Optional
Flag to specify if RpiWebClient should attempt to request visitor geolocation. Defaults to false.

serverCookieEnabled
`serverCookieEnabled: `boolean``
Type : `boolean`
Optional
Flag to specify if the server-side visitor cookie is enabled. Defaults to false.

serverUrl
`serverUrl: `string``
Type : `string`
Optional
The Realtime server URL that will be accessed by RpiWebClient.

smartAssetDecisions
`smartAssetDecisions: `Array<SmartAssetDecision>``
Type : `Array<SmartAssetDecision>`
Optional
The SmartAssetDecision to render upon RpiWebClient initialization.

trackingDomains
`trackingDomains: `Array<string>``
Type : `Array<string>`
Optional
List of tracking domains. Used when enableCrossDomainTracking is set to true.

urlParameterCachingOverrides
`urlParameterCachingOverrides: `Array<string>``
Type : `Array<string>`
Optional
List of URL parameters that should be sent to the RPI Realtime visitor cache. Used when enableUrlParameterCaching is set to false.

visitorCookieDuration
`visitorCookieDuration: `number``
Type : `number`
Optional
The duration, in days, that the RPI visitor cookie will be set for. Defaults to 365.

visitorProfileMergeMode
`visitorProfileMergeMode: `number``
Type : `number`
Optional
The merge mode to use for merging visitor profiles (DisableMerge = 0, MergeRegisterVisit = 1, MergeOnly = 2). Defaults to 1.

# results matching ""

# No results matching ""